Commit 3cdda605 authored by Konstantin Komelin's avatar Konstantin Komelin
Browse files

by konstantin.komelin: Improved README.txt and some texts. Added...

by konstantin.komelin: Improved README.txt and some texts. Added CHANGELOG.txt. Prepared to the release.
parent 4e06f710
simplehtmldom 7.x-2.x, xxxx-xx-xx
simplehtmldom 7.x-2.0, 2014-02-16
Removed simplehtmldom library from the module package
Added support of the Libraries API module.
simplehtmldom API simplehtmldom API
========================================================================================================== ==========================================================================================================
The module is a gateway between simplehtmldom PHP library and Drupal. OVERVIEW
It provides powerful API for HTML parsing. It works fine with broken markup. ----------------------
After installing this module you will be able to use simplehtmldom functions right in your code.
The module is a bridge between PHP Simple HTML DOM Parser (simplehtmldom) library and Drupal.
The library provides powerful API for HTML parsing. Moreover, it works fine with broken markup.
After installing this module you will be able to use PHP Simple HTML DOM Parser functions right in your code.
See more details about library usage here http://simplehtmldom.sourceforge.net/ See more details about library usage here http://simplehtmldom.sourceforge.net/
Dependencies: DEPENDENCIES
--------------- ----------------------
The module requires PHP Simple HTML DOM Parser library (see INSTALLATION section).
Tested with PHP Simple HTML DOM Parser 1.5.
The module is compatible with Libraries API module, however, it doesn't require it.
The module requires simplehtmldom library 1.11+ version. INSTALLATION
Please copy latest version of simplehtmldom library from http://sourceforge.net/projects/simplehtmldom/ ----------------------
Please copy the latest version of PHP Simple HTML DOM Parser library from http://sourceforge.net/projects/simplehtmldom/
to you libraries folder, for example sites/all/libraries/simplehtmldom/simple_html_dom.php to you libraries folder, for example sites/all/libraries/simplehtmldom/simple_html_dom.php
Then install the module as usual.
UPGRADE FROM 7.x-1.x
----------------------
Tested with simplehtmldom 1.5. Replace old simplehtmldom module folder with new one.
Make sure you don't have PHP Simple HTML DOM Parser (simplehtmldom) library inside the module folder.
Install PHP Simple HTML DOM Parser library manually (see INSTALLATION section).
name = simplehtmldom API name = simplehtmldom API
description = A wrapper module around the simplehtmldom PHP library at sourceforge. description = A bridge between the PHP Simple HTML DOM Parser library and Drupal.
package = Filter
core = 7.x core = 7.x
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
* Include the only file of the library. * Include the only file of the library.
* *
* There are 5-6 funcs there and their names are not prefixed. * There are 5-6 funcs there and their names are not prefixed.
* But these names are quite unprobable to cause collisions... * But these names are quite rare to cause collisions.
*/ */
if (!function_exists('str_get_html')) { if (!function_exists('str_get_html')) {
...@@ -14,7 +14,7 @@ if (!function_exists('str_get_html')) { ...@@ -14,7 +14,7 @@ if (!function_exists('str_get_html')) {
} }
} }
else { else {
drupal_set_message(t('The simplehtmldom API module found that you define its functions before it does itself! Somewhere in your drupal files there must be a copy of the simplehtmldom PHP library that you do not need if you have this drupal module... Please remove the old library and live happily. The simplehtmldom module will include the necessary php files from the lib as soon as you remove the old ones.'), 'error'); drupal_set_message(t('The simplehtmldom API module found that you define its functions before it does itself! Somewhere in your drupal files there must be a copy of the PHP Simple HTML DOM Parser library that you do not need if you use this module. Please remove the old library or move it to sites/all/libraries/simplehtmldom folder.'), 'error');
} }
/** /**
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment